Bug 825840 - XML validation error should go to stderr
XML validation error should go to stderr
Status: CLOSED DUPLICATE of bug 871120
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openscap (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Peter Vrabec
BaseOS QE Security Team
:
Depends On: 825839
Blocks: 1007428 871120
  Show dependency treegraph
 
Reported: 2012-05-28 12:56 EDT by Šimon Lukašík
Modified: 2013-09-12 09:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 825839
Environment:
Last Closed: 2013-04-11 10:00:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Šimon Lukašík 2012-05-28 12:56:14 EDT
This bug also affects rhel5. (openscap-utils-0.8.0-1.el5)


+++ This bug was initially created as a clone of Bug #825839 +++

Description of problem:
When an error occurs during validation of XCCDF, a message is written
to stdout and tool returns non-zero.

Scenarion, when this is the most visible:
After a scan the validation of the output xml fails and the scan's
and the validation's outputs are messed together.

Version-Release number of selected component (if applicable):
openscap-utils-0.8.0-2.el6.x86_64

How reproducible:
Deterministic.

Steps to Reproduce:
1. oscap xccdf validate-xml /my-invalid-xccdf.xml > /dev/null
2.
3.
  
Actual results:
Validation error is written on stdout.

Expected results:
Validation error is written to stderr.

Additional info:
Comment 1 RHEL Product and Program Management 2012-06-11 21:31:03 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 3 Šimon Lukašík 2013-04-11 10:00:50 EDT
This issue will be fixed in Red Hat Enterprise Linu x 5 by rebase
of openscap package. Hence, this bug can be considered duplicate
of that rebase.

*** This bug has been marked as a duplicate of bug 871120 ***

Note You need to log in before you can comment on or make changes to this bug.